Bug 242901 - Review Request: perl-Geo-METAR - Perl module for accessing aviation weather information
Review Request: perl-Geo-METAR - Perl module for accessing aviation weather i...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-06 07:00 EDT by Nicolas Chauvet (kwizart)
Modified: 2011-01-10 14:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-20 16:42:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2007-06-06 07:00:13 EDT
Spec URL:
http://kwizart.free.fr/fedora/6/testing/perl-Geo-METAR/perl-Geo-METAR.spec
SRPM URL:
http://kwizart.free.fr/fedora/6/testing/perl-Geo-METAR/perl-Geo-METAR-1.14-1.kwizart.fc6.src.rpm
Description: Perl module for accessing aviation weather information

This is needed to lcdproc package
Comment 1 Jason Tibbitts 2007-06-06 18:45:29 EDT
This fails to build for me; I believe it lacks at least a build dependency on
ExtUtils::MakeMaker.
Comment 2 Nicolas Chauvet (kwizart) 2007-06-06 20:21:10 EDT
Indeed, mock built fails for F-7 x86_64

But this file is present on FC-6
rpm -qf /usr/lib/perl5/5.8.8/ExtUtils/MakeMaker.pm
perl-5.8.8-10

built fine with mock on FC-6...

Ok - Actually it will Requires perl-devel on Fedora 7

Spec URL:
http://kwizart.free.fr/fedora/7/testing/perl-Geo-METAR/perl-Geo-METAR.spec
SRPM URL:
http://kwizart.free.fr/fedora/7/testing/perl-Geo-METAR/perl-Geo-METAR-1.14-1.kwizart.fc7.src.rpm
Description: Perl module for accessing aviation weather information

mock log are in the same directory
Comment 3 Jason Tibbitts 2007-06-06 20:26:48 EDT
You should require the modules you actually need instead of making assumptions
about what perl-devel will contain.  Which means you need
  BuildRequires: perl(ExtUtils::MakeMaker)
You may need other bits to run the test suite; at the moment I can't reach the
specfile or srpm so I'm not sure what you're actually requiring.

It should be only rawhide which actually needs all of these, since F7 perl has
dependencies which will pull in the usual modules.
Comment 4 Nicolas Chauvet (kwizart) 2007-06-06 20:49:43 EDT
I haven't updated the spec file ( only changed from BR perl to BR perl-devel )

I'm not sure of what you are saying, but i think i get it
If i have BR perl(ExtUtils::MakeMaker) instead of BR BuildRequires:  perl (or
perl-devel).
It will then bring only the necessary BR ? (unless there is others...)


Comment 5 Nicolas Chauvet (kwizart) 2007-06-09 16:41:52 EDT
Spec URL:
http://kwizart.free.fr/fedora/7/testing/perl-Geo-METAR/perl-Geo-METAR.spec
SRPM URL:
http://kwizart.free.fr/fedora/7/testing/perl-Geo-METAR/perl-Geo-METAR-1.14-2.kwizart.fc7.src.rpm
Description: Perl module for accessing aviation weather information

So only have updated the  BR perl(ExtUtils::MakeMaker) instead of BR perl (or
perl-devel)
mock build log are in the same dir... (fedora 7 x86_64)
I don't knwo if i miss something for the test suite but build.log says:
All tests successful.

Comment 6 Jason Tibbitts 2007-06-20 00:29:40 EDT
The test suite uses perl(Test) but that's currently provided by the base perl
package.  I've no idea if the plan is to keep it there or not.

It would be technically correct to add a build dependency on perl(Test), but I
don't think it's required and everything certainly runs fine without it.

Review:
* source files match upstream:
   200cddda40f51b58405aadf8fa69d259d8fe0651831ac0b63706db1174b12701  
   Geo-METAR-1.14.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(Geo::METAR) = 1.14
   perl-Geo-METAR = 1.14-2.fc8
  =
   perl >= 0:5.005
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(strict)
   perl(vars)
* %check is present and all tests pass:
   All tests successful.
   Files=1, Tests=6,  0 wallclock secs ( 0.03 cusr +  0.02 csys =  0.05 CPU)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 7 Nicolas Chauvet (kwizart) 2007-06-20 05:00:38 EDT
New Package CVS Request
=======================
Package Name: perl-Geo-METAR
Short Description: Perl module for accessing aviation weather information
Owners: kwizart@gmail.com
Branches: FC-6 F-7 devel
InitialCC: 
Comment 8 Kevin Fenzi 2007-06-20 12:42:40 EDT
cvs done.
Comment 9 Nicolas Chauvet (kwizart) 2011-01-09 14:31:02 EST
Package Change Request
======================
Package Name: perl-Geo-METAR
New Branches: el5 el6
Owners: kwizart
Comment 10 Jason Tibbitts 2011-01-10 14:20:57 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.